Name: sweets-telepathy-mission-control
Version: 5.8.1

Release: 5.2
Group: Development/Tools/Other
Summary: A Jabber/XMPP connection manager for Telepathy
License: LGPLv2+
Url: http://telepathy.freedesktop.org/

Source: telepathy-mission-control-5.8.1.tar.gz
Source1: sweet.tar.gz

Patch0: glib-deprecated.patch


Requires: dbus >= 0.95
Requires: sweets-telepathy-glib >= 0.13.14
BuildRequires: dbus-devel >= 0.95
BuildRequires: gcc
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: python-devel
BuildRequires: sweets-telepathy-glib >= 0.13.14
BuildRequires: libxslt
BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no


%description
A Jabber/XMPP connection manager for Telepathy

%prep
%setup -n telepathy-mission-control-5.8.1
%patch0 -p0

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build
test -e /opt/sweets/telepathy-glib/binding && . /opt/sweets/telepathy-glib/binding; ./configure --prefix=/opt/sweets/telepathy-mission-control --disable-gtk-doc --disable-gnome-keyring CFLAGS="${CFLAGS} -Wl,-rpath,$TELEPATHY_PATH/lib"
test -e /opt/sweets/telepathy-glib/binding && . /opt/sweets/telepathy-glib/binding; make

%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

test -e /opt/sweets/telepathy-glib/binding && . /opt/sweets/telepathy-glib/binding; make DESTDIR=%{buildroot}/.dest install
python %{_sourcedir}/sweet_install.py move rpm %{_sourcedir}/sweet_files %{buildroot} /opt/sweets/telepathy-mission-control '' '' > sweets-telepathy-mission-control.files
[ -f sweets.recipe ] && spec=sweets.recipe || spec=%{_sourcedir}/sweets.recipe; cp $spec %{buildroot}/.dest/sweets.recipe
echo /opt/sweets/telepathy-mission-control/sweets.recipe >> sweets-telepathy-mission-control.files
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /opt/sweets/telepathy-mission-control '' '' >> sweets-telepathy-mission-control.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/telepathy-mission-control
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/telepathy-mission-control/pydirs)
echo /opt/sweets/telepathy-mission-control/pydirs >> sweets-telepathy-mission-control.files

%post
test -e /opt/sweets/telepathy-mission-control/pydirs && for i in `cat /opt/sweets/telepathy-mission-control/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/telepathy-mission-control/pydirs && for i in `cat /opt/sweets/telepathy-mission-control/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sweets-telepathy-mission-control.files

%changelog
